package com.ruoyi.system.service_shate;

import com.ruoyi.system.domain_shate.DateUpload;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDate;
import java.util.Date;
import java.util.List;

/**
 * @Author: JinSheng Song
 * @Date: 2022/7/11 15:43
 */
public interface IDateUploadService {

    List<DateUpload> selectUpload( String zone,
                                   String type,
                                   String type1,
                                   String type2,
                                   String year,
                                   String dateWithSway,
                                   String name,
                                   String dateTime);

    DateUpload selectShpfire(String zone,String year,String datetime,String type);

    Integer DelUpload( Integer id);

    Integer IntoUpload(DateUpload upload);

    DateUpload selectShp( String zone,String type,String dateTime);

    Integer DelShp( Integer id);

    Integer IntoShp(DateUpload upload);

    DateUpload selectDel(Integer id);

    Integer altitude(  String zone,
                        String imageDate);
    Integer aspect(  String zone,
                      String imageDate);
    Integer landuse(  String zone,
                       String imageDate);
    Integer suitability(  String zone,
                           String imageDate);
    Integer road(  String zone,
                    String imageDate);
    Integer seedSuccess(  String zone,
                           String imageDate);
    Integer vegetationDistribution(  String zone,
                                      String imageDate);
    Integer slope(  String zone,
                     String imageDate);
    Integer desertification(  String zone,
                               String imageDate);
    Integer moisture(  String zone,
                        String imageDate);
    Integer salinization(  String zone,
                            String imageDate);
    Integer healthy(  String zone,
                       String imageDate,
                      String resolution);
    Integer water(  String zone,
                     String imageDate);
    Integer waterArea(  String zone,
                         String imageDate);
    Integer roadLength(  String zone,
                          String imageDate);
    Integer climateIndex(  String zone,
                            String imageDate);
}
